- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ClpPackedMatrix2 Class Reference

`#include <ClpPackedMatrix.hpp>`

List of all members.

## Public Member Functions
Useful methods
void | transposeTimes (const ClpSimplex *model, const CoinPackedMatrix *rowCopy, const CoinIndexedVector *x, CoinIndexedVector *spareArray, CoinIndexedVector *z) const
| Return `x * -1 * A in `z`.`
bool | usefulInfo () const
| Returns true if copy has useful information.
Constructors, destructor
| ClpPackedMatrix2 ()
| Default constructor.
| ClpPackedMatrix2 (ClpSimplex *model, const CoinPackedMatrix *rowCopy)
| Constructor from copy.
virtual | ~ClpPackedMatrix2 ()
| Destructor.
Copy method
| ClpPackedMatrix2 (const ClpPackedMatrix2 &)
| The copy constructor.
ClpPackedMatrix2 & | operator= (const ClpPackedMatrix2 &)
| The copy constructor.
## Protected Attributes
Data members
The data members are protected to allow access for derived classes.
int | numberBlocks_
| Number of blocks.
int | numberRows_
| Number of rows.
int * | offset_
| Column offset for each block (plus one at end).
unsigned short * | count_
| Counts of elements in each part of row.
CoinBigIndex * | rowStart_
| Row starts.
unsigned short * | column_
| columns within block
double * | work_
| work arrays

## Detailed Description

Definition at line 503 of file ClpPackedMatrix.hpp.

## Constructor & Destructor Documentation

ClpPackedMatrix2::ClpPackedMatrix2 | ( |  | ) |

Default constructor.

ClpPackedMatrix2::ClpPackedMatrix2 | ( | ClpSimplex * | model,
|  | const CoinPackedMatrix * | rowCopy |
| ) |  |  |

Constructor from copy.

virtual ClpPackedMatrix2::~ClpPackedMatrix2 | ( |  | ) | `[virtual]`

Destructor.

ClpPackedMatrix2::ClpPackedMatrix2 | ( | const ClpPackedMatrix2 & |  | ) |

The copy constructor.

## Member Function Documentation

void ClpPackedMatrix2::transposeTimes | ( | const ClpSimplex * | model,
|  | const CoinPackedMatrix * | rowCopy,
|  | const CoinIndexedVector * | x,
|  | CoinIndexedVector * | spareArray,
|  | CoinIndexedVector * | z |
| ) |  |  | const

Return `x * -1 * A in `z`.`

Note - x packed and z will be packed mode Squashes small elements and knows about ClpSimplex

bool ClpPackedMatrix2::usefulInfo | ( |  | ) | const`[inline]`

Returns true if copy has useful information.

Definition at line 517 of file ClpPackedMatrix.hpp.

References rowStart_.

ClpPackedMatrix2& ClpPackedMatrix2::operator= | ( | const ClpPackedMatrix2 & |  | ) |

The copy constructor.

## Member Data Documentation

int ClpPackedMatrix2::numberBlocks_`[protected]`

Number of blocks.

Definition at line 546 of file ClpPackedMatrix.hpp.

int ClpPackedMatrix2::numberRows_`[protected]`

Number of rows.

Definition at line 548 of file ClpPackedMatrix.hpp.

int* ClpPackedMatrix2::offset_`[protected]`

Column offset for each block (plus one at end).

Definition at line 550 of file ClpPackedMatrix.hpp.

unsigned short* ClpPackedMatrix2::count_`[mutable, protected]`

Counts of elements in each part of row.

Definition at line 552 of file ClpPackedMatrix.hpp.

CoinBigIndex* ClpPackedMatrix2::rowStart_`[mutable, protected]`

Row starts.

Definition at line 554 of file ClpPackedMatrix.hpp.

Referenced by usefulInfo().

unsigned short* ClpPackedMatrix2::column_`[protected]`

columns within block

Definition at line 556 of file ClpPackedMatrix.hpp.

double* ClpPackedMatrix2::work_`[protected]`

work arrays

Definition at line 558 of file ClpPackedMatrix.hpp.

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Blis-0.92.0/Clp/src/ClpPackedMatrix.hpp